Versionsverlauf
===============

## [Noch nicht veröffentlicht]

## [Version 2.0.0]

- NERZ: Umstellung auf Gradle, Build durch FTB und Bereitstellung auf NERZ-Repositories
- MDM Baustellensimulation hinzugefügt

## Version 1.9.0

- Umstellung auf Java 8 und UTF-8

## Version 1.8.0

Abhängigkeit zur Bibliothek de.bsvrz.puk.param.lib entfernt. Parameter werden mit Standard-
Datenverteiler-Mechanismen angemeldet.

## Version 1.7.0

Umstellung auf Maven-Build

## Version 1.6.0

Die maximale Simulationszeitraum einer manuellen Baustellensimulation kann per 
Kommandozeilenparameter eingeschränkt werden (siehe Version 1.5.0)

-maxHorizontManuell = <Beschränkung in Tagen>
 
Das Kommandozeilenargument beschränkt den maximalen Zeitraum für manuelle
Simulationen auf die Anzahl der festgelegten Tage. 
Der Standardwert ist 0, was als "keine Beschränkung" interpretiert wird.

## Version 1.5.0

Das Standardverhalten der Baustellensimulation wurde so verändert, dass bei der manuellen Auslösung einer 
Baustellensimulation der Simulationszeitraum dem Zeitbereich der Baustelle entspricht und nicht den
ursprünglichen Vorgaben der Anwenderforderungen entspricht.
Das ursprüngliche Verhalten kann durch Angabe das Kommandozeilen-Parameters -zeitBereichStrict=ja
erzwungen werden.

## Version 1.4.0

Die Baustellensimulation hört auf die neue Attributgruppe atg.baustellenSimulationStartenMitMq, mit der der 
vor einer Baustelle liegende Messquerschnitt vorgegeben werden kann. Dieser wird dann für die Bestimmung
des zufliessenden Verkehrs verwendet.

## Version 1.3.4

Der Versuch, eine Baustelle zu simulieren, die bereits abgeschlossen wurde, führt nicht mehr zu einem ungültigen
Prognosezeitraum.

## Version 1.3.3

- die Bestimmung des MQ für den Zufluss einer Baustelle entspricht jetzt der Vorgehensweise im ISIS-Interface.
  Es werden nur die MQ im ersten Segement einer Baustelle berücksichtigt. Als MQ wird der letzte in Fahrtrichtung
  vor der Baustelle liegende verwendet, wenn dort keiner liegt, wird auf den ersten in Fahrtrichtung nach dem
  Beginn der Baustelle liegenden zurückgegriffen.
  Bisher wurde gemäß Anwenderanforderungen das Netz entlang der Straße, auf der die Baustelle beginnt verfolgt, bis
  ein MQ gefunden wurde, d.h. es konnte potentiell auch über Anschlussstellen und Autobahnkreuze hinweg gesucht werden,
  wenn eine entsprechende Konfiguration vorliegt. Um dieses Verhalten wieder einzustellen, wurde die zusätzliche Startoption
  "-mqAfoStrict=ja/nein" eingeführt, der Standardwert ist "false (nein)".

## Version 1.3.2

- zusätzliche Ausgaben auf Loglevel.FINER in BaustellenSimulator.prognoseErstellen()

## Version 1.3.1

- Beseitigung eines kleinen Fehlers beim Auslesen des neuen Parameters "-allowGaps=".

## Version 1.3.0

- Bei nicht vorhandenen Daten innerhalb der Ganglinie (Luecken) wird die Simulation nicht mehr abgebrochen.
  D.h., es werden Luecken innerhalb der Ganglinie erlaubt. Neuer Parameter "-allowGaps=true|false".

## Version 1.2.9

- eine Zyklische Suche nach dem vor einer Baustelle liegenden MQ wird per Exception abgefangen und als WARNUNG geloggt.
  Es wird mindestens die Version 2012_08_16 des Pakets de.bsvrz.sys.funclib.bitctrl benötigt!

## Version 1.2.8

- Testmodus mit Startoption "-check=true" gibt nur grundlegende Informationen zu den aktuellen Baustellen aus
  und beendet die Baustellensimulation wieder

## Version 1.2.7

- Aktualisierung der MQ-Daten als Hintergrundthread

## Version 1.2.6

- Logausgaben für Simulations-Datenermittlung erweitert

## Version 1.2.5

- Logausgaben für manuelle Simulation erweitert
- Abmeldung entfernter Baustellen

## Version 1.2.4

- erweiterte Log-Ausgaben mit Systemobjekten

[Noch nicht veröffentlicht]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.ibv.simbaustelle/compare/v2.0.0...HEAD
[Version 2.0.0]: 
https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.ibv.simbaustelle/compare/v1.9.0...v2.0.0
